import{s as K,n as tt,o as et}from"../chunks/scheduler.6062bdaf.js";import{S as at,i as lt,g as r,s as n,r as v,A as nt,h as p,f as a,c as i,j as D,u as T,x,k as F,y as it,a as l,v as _,d as H,t as I,w as k}from"../chunks/index.4bca734e.js";import{C as X}from"../chunks/CodeBlock.fa01571c.js";import{H as ot,E as rt}from"../chunks/EditOnGithub.74ab2baa.js";function pt(U){let o,L,y,C,s,J,d,V="🤗 Optimum can be installed using <code>pip</code> as follows:",P,m,A,u,O="If you’d like to use the accelerator-specific features of 🤗 Optimum, you can install the required dependencies according to the table below:",W,g,S='<thead><tr><th align="left">Accelerator</th> <th align="left">Installation</th></tr></thead> <tbody><tr><td align="left"><a href="https://huggingface.co/docs/optimum/onnxruntime/overview" rel="nofollow">ONNX Runtime</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[onnxruntime]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/intel/index" rel="nofollow">Intel Neural Compressor</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[neural-compressor]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/intel/index" rel="nofollow">OpenVINO</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[openvino]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/main/en/nvidia_overview" rel="nofollow">NVIDIA TensorRT-LLM</a></td> <td align="left"><code>docker run -it --gpus all --ipc host huggingface/optimum-nvidia</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/amd/index" rel="nofollow">AMD Instinct GPUs and Ryzen AI NPU</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[amd]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum-neuron/index" rel="nofollow">AWS Trainum &amp; Inferentia</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[neuronx]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/habana/index" rel="nofollow">Habana Gaudi Processor (HPU)</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[habana]</code></td></tr> <tr><td align="left"><a href="https://huggingface.co/docs/optimum/furiosa/index" rel="nofollow">FuriosaAI</a></td> <td align="left"><code>pip install --upgrade --upgrade-strategy eager optimum[furiosa]</code></td></tr></tbody>',Z,f,q="The <code>--upgrade --upgrade-strategy eager</code> option is needed to ensure the different packages are upgraded to the latest possible version.",B,c,z="If you’d like to play with the examples or need the bleeding edge of the code and can’t wait for a new release, you can install the base library from source as follows:",E,h,R,w,Q="For the accelerator-specific features, you can install them by appending <code>optimum[accelerator_type]</code> to the <code>pip</code> command, e.g.",N,$,Y,b,j,M,G;return s=new ot({props:{title:"Installation",local:"installation",headingTag:"h1"}}),m=new X({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bQ==",highlighted:"python -m pip install optimum",wrap:!1}}),h=new X({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install git+https://github.com/huggingface/optimum.git",wrap:!1}}),$=new X({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bSU1Qm9ubnhydW50aW1lJTVEJTQwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install optimum[onnxruntime]@git+https://github.com/huggingface/optimum.git",wrap:!1}}),b=new rt({props:{source:"https://github.com/huggingface/optimum/blob/main/docs/source/installation.mdx"}}),{c(){o=r("meta"),L=n(),y=r("p"),C=n(),v(s.$$.fragment),J=n(),d=r("p"),d.innerHTML=V,P=n(),v(m.$$.fragment),A=n(),u=r("p"),u.textContent=O,W=n(),g=r("table"),g.innerHTML=S,Z=n(),f=r("p"),f.innerHTML=q,B=n(),c=r("p"),c.textContent=z,E=n(),v(h.$$.fragment),R=n(),w=r("p"),w.innerHTML=Q,N=n(),v($.$$.fragment),Y=n(),v(b.$$.fragment),j=n(),M=r("p"),this.h()},l(t){const e=nt("svelte-u9bgzb",document.head);o=p(e,"META",{name:!0,content:!0}),e.forEach(a),L=i(t),y=p(t,"P",{}),D(y).forEach(a),C=i(t),T(s.$$.fragment,t),J=i(t),d=p(t,"P",{"data-svelte-h":!0}),x(d)!=="svelte-wergr7"&&(d.innerHTML=V),P=i(t),T(m.$$.fragment,t),A=i(t),u=p(t,"P",{"data-svelte-h":!0}),x(u)!=="svelte-1az9spn"&&(u.textContent=O),W=i(t),g=p(t,"TABLE",{"data-svelte-h":!0}),x(g)!=="svelte-1hjkmwy"&&(g.innerHTML=S),Z=i(t),f=p(t,"P",{"data-svelte-h":!0}),x(f)!=="svelte-q5ptbo"&&(f.innerHTML=q),B=i(t),c=p(t,"P",{"data-svelte-h":!0}),x(c)!=="svelte-1vwn6yx"&&(c.textContent=z),E=i(t),T(h.$$.fragment,t),R=i(t),w=p(t,"P",{"data-svelte-h":!0}),x(w)!=="svelte-1k9gtp3"&&(w.innerHTML=Q),N=i(t),T($.$$.fragment,t),Y=i(t),T(b.$$.fragment,t),j=i(t),M=p(t,"P",{}),D(M).forEach(a),this.h()},h(){F(o,"name","hf:doc:metadata"),F(o,"content",st)},m(t,e){it(document.head,o),l(t,L,e),l(t,y,e),l(t,C,e),_(s,t,e),l(t,J,e),l(t,d,e),l(t,P,e),_(m,t,e),l(t,A,e),l(t,u,e),l(t,W,e),l(t,g,e),l(t,Z,e),l(t,f,e),l(t,B,e),l(t,c,e),l(t,E,e),_(h,t,e),l(t,R,e),l(t,w,e),l(t,N,e),_($,t,e),l(t,Y,e),_(b,t,e),l(t,j,e),l(t,M,e),G=!0},p:tt,i(t){G||(H(s.$$.fragment,t),H(m.$$.fragment,t),H(h.$$.fragment,t),H($.$$.fragment,t),H(b.$$.fragment,t),G=!0)},o(t){I(s.$$.fragment,t),I(m.$$.fragment,t),I(h.$$.fragment,t),I($.$$.fragment,t),I(b.$$.fragment,t),G=!1},d(t){t&&(a(L),a(y),a(C),a(J),a(d),a(P),a(A),a(u),a(W),a(g),a(Z),a(f),a(B),a(c),a(E),a(R),a(w),a(N),a(Y),a(j),a(M)),a(o),k(s,t),k(m,t),k(h,t),k($,t),k(b,t)}}}const st='{"title":"Installation","local":"installation","sections":[],"depth":1}';function dt(U){return et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ct extends at{constructor(o){super(),lt(this,o,dt,pt,K,{})}}export{ct as component};
